<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SESim: DOB_CL_Controller Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SESim
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_d_o_b___c_l___controller-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">DOB_CL_Controller Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Implementation of a DOB CL controller.  
 <a href="class_d_o_b___c_l___controller.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for DOB_CL_Controller:</div>
<div class="dyncontent">
<div class="center"><img src="class_d_o_b___c_l___controller__inherit__graph.png" border="0" usemap="#_d_o_b___c_l___controller_inherit__map" alt="Inheritance graph"/></div>
<map name="_d_o_b___c_l___controller_inherit__map" id="_d_o_b___c_l___controller_inherit__map">
<area shape="rect" id="node2" href="class_i_controller.html" title="Base class for all the controllers implementations. " alt="" coords="32,80,113,107"/>
<area shape="rect" id="node3" href="classhandle.html" title="handle" alt="" coords="43,5,103,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0e930cbf26b3f479ac599c72401b492e"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_d_o_b___c_l___controller.html#a0e930cbf26b3f479ac599c72401b492e">DOB_CL_Controller</a> ()</td></tr>
<tr class="memdesc:a0e930cbf26b3f479ac599c72401b492e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class constructor.  <a href="#a0e930cbf26b3f479ac599c72401b492e">More...</a><br /></td></tr>
<tr class="separator:a0e930cbf26b3f479ac599c72401b492e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c3da2b5610c57bfd232689f1a762e0e"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_d_o_b___c_l___controller.html#a7c3da2b5610c57bfd232689f1a762e0e">process_</a> (in obj, in t, in tau_s, in dtau_s, in theta_m, in dtheta_m, in theta_e, in dtheta_e, in <a class="el" href="class_i_controller.html#ae2b0415b572e4308dc810ad1306534af">ref</a>)</td></tr>
<tr class="memdesc:a7c3da2b5610c57bfd232689f1a762e0e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The control law of the controller.  <a href="#a7c3da2b5610c57bfd232689f1a762e0e">More...</a><br /></td></tr>
<tr class="separator:a7c3da2b5610c57bfd232689f1a762e0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa77100b541ba43fcfb22723a677e480d"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_d_o_b___c_l___controller.html#aa77100b541ba43fcfb22723a677e480d">reset</a> (in obj)</td></tr>
<tr class="memdesc:aa77100b541ba43fcfb22723a677e480d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reset all the properties.  <a href="#aa77100b541ba43fcfb22723a677e480d">More...</a><br /></td></tr>
<tr class="separator:aa77100b541ba43fcfb22723a677e480d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b96d559a015f326bf258e7090c9e528"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#a6b96d559a015f326bf258e7090c9e528">process</a> (in obj, in t, in tau_s, in dtau_s, in theta_m, in dtheta_m, in theta_e, in dtheta_e, in <a class="el" href="class_i_controller.html#ae2b0415b572e4308dc810ad1306534af">ref</a>)</td></tr>
<tr class="memdesc:a6b96d559a015f326bf258e7090c9e528"><td class="mdescLeft">&#160;</td><td class="mdescRight">Manage the control loop frequency and call the child class <a class="el" href="class_i_controller.html#a7c3da2b5610c57bfd232689f1a762e0e" title="The control law of the controller. ">process_()</a> to exec the control law.  <a href="#a6b96d559a015f326bf258e7090c9e528">More...</a><br /></td></tr>
<tr class="separator:a6b96d559a015f326bf258e7090c9e528"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:acda23b2312e09549afea65e656815787"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_d_o_b___c_l___controller.html#acda23b2312e09549afea65e656815787">FF</a></td></tr>
<tr class="memdesc:acda23b2312e09549afea65e656815787"><td class="mdescLeft">&#160;</td><td class="mdescRight">Feed forward.  <a href="#acda23b2312e09549afea65e656815787">More...</a><br /></td></tr>
<tr class="separator:acda23b2312e09549afea65e656815787"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea16e677b2e2917cb9c325d8a924a519"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_d_o_b___c_l___controller.html#aea16e677b2e2917cb9c325d8a924a519">kp</a></td></tr>
<tr class="memdesc:aea16e677b2e2917cb9c325d8a924a519"><td class="mdescLeft">&#160;</td><td class="mdescRight">Proportional gain.  <a href="#aea16e677b2e2917cb9c325d8a924a519">More...</a><br /></td></tr>
<tr class="separator:aea16e677b2e2917cb9c325d8a924a519"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16962c9a52053291f6e09374dc49af54"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_d_o_b___c_l___controller.html#a16962c9a52053291f6e09374dc49af54">kd</a></td></tr>
<tr class="memdesc:a16962c9a52053291f6e09374dc49af54"><td class="mdescLeft">&#160;</td><td class="mdescRight">Derivative gain.  <a href="#a16962c9a52053291f6e09374dc49af54">More...</a><br /></td></tr>
<tr class="separator:a16962c9a52053291f6e09374dc49af54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73d044705182dce0379a1c211dca6ec6"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#a73d044705182dce0379a1c211dca6ec6">name</a></td></tr>
<tr class="memdesc:a73d044705182dce0379a1c211dca6ec6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the controller.  <a href="#a73d044705182dce0379a1c211dca6ec6">More...</a><br /></td></tr>
<tr class="separator:a73d044705182dce0379a1c211dca6ec6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaa1f8279f05b2c01704413b91ea23d8"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#afaa1f8279f05b2c01704413b91ea23d8">debug1</a></td></tr>
<tr class="memdesc:afaa1f8279f05b2c01704413b91ea23d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">General purpose debug signal.  <a href="#afaa1f8279f05b2c01704413b91ea23d8">More...</a><br /></td></tr>
<tr class="separator:afaa1f8279f05b2c01704413b91ea23d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfc40a1e446bb64c4e9c4f6216641901"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#adfc40a1e446bb64c4e9c4f6216641901">debug2</a></td></tr>
<tr class="memdesc:adfc40a1e446bb64c4e9c4f6216641901"><td class="mdescLeft">&#160;</td><td class="mdescRight">General purpose debug signal.  <a href="#adfc40a1e446bb64c4e9c4f6216641901">More...</a><br /></td></tr>
<tr class="separator:adfc40a1e446bb64c4e9c4f6216641901"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02f4bee6bbeef8bd446032b0c685cb63"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#a02f4bee6bbeef8bd446032b0c685cb63">debug3</a></td></tr>
<tr class="memdesc:a02f4bee6bbeef8bd446032b0c685cb63"><td class="mdescLeft">&#160;</td><td class="mdescRight">General purpose debug signal.  <a href="#a02f4bee6bbeef8bd446032b0c685cb63">More...</a><br /></td></tr>
<tr class="separator:a02f4bee6bbeef8bd446032b0c685cb63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9593765ae9066406e2e4a852b31c2779"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#a9593765ae9066406e2e4a852b31c2779">control_loop_max</a></td></tr>
<tr class="memdesc:a9593765ae9066406e2e4a852b31c2779"><td class="mdescLeft">&#160;</td><td class="mdescRight">Variable used to manage the control loop frequency.  <a href="#a9593765ae9066406e2e4a852b31c2779">More...</a><br /></td></tr>
<tr class="separator:a9593765ae9066406e2e4a852b31c2779"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b426d363873b67b372a2849b84fd168"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#a0b426d363873b67b372a2849b84fd168">control_loop_count</a></td></tr>
<tr class="memdesc:a0b426d363873b67b372a2849b84fd168"><td class="mdescLeft">&#160;</td><td class="mdescRight">Variable used to manage the control loop frequency.  <a href="#a0b426d363873b67b372a2849b84fd168">More...</a><br /></td></tr>
<tr class="separator:a0b426d363873b67b372a2849b84fd168"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ad32d252f7191c6648af6439823778fb1"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_d_o_b___c_l___controller.html#ad32d252f7191c6648af6439823778fb1">parameters</a></td></tr>
<tr class="separator:ad32d252f7191c6648af6439823778fb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29c82e01184eb3cda224ddf58e4e1278"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_d_o_b___c_l___controller.html#a29c82e01184eb3cda224ddf58e4e1278">order_QPn</a></td></tr>
<tr class="separator:a29c82e01184eb3cda224ddf58e4e1278"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa36d8d111764f8ec62bfb0f7b3dbf70"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_d_o_b___c_l___controller.html#aaa36d8d111764f8ec62bfb0f7b3dbf70">a_QPn</a></td></tr>
<tr class="separator:aaa36d8d111764f8ec62bfb0f7b3dbf70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6928c51fe64ae3405d6159a0531650c"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_d_o_b___c_l___controller.html#ab6928c51fe64ae3405d6159a0531650c">b_QPn</a></td></tr>
<tr class="separator:ab6928c51fe64ae3405d6159a0531650c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94399a26b1c3be29e1308dcd3a2f10c3"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_d_o_b___c_l___controller.html#a94399a26b1c3be29e1308dcd3a2f10c3">order_Q</a></td></tr>
<tr class="separator:a94399a26b1c3be29e1308dcd3a2f10c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00ad5dd7d371d70b727688e066f177ef"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_d_o_b___c_l___controller.html#a00ad5dd7d371d70b727688e066f177ef">a_Q</a></td></tr>
<tr class="separator:a00ad5dd7d371d70b727688e066f177ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6199bed12f23f73ca1efd08cefb153ee"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_d_o_b___c_l___controller.html#a6199bed12f23f73ca1efd08cefb153ee">b_Q</a></td></tr>
<tr class="separator:a6199bed12f23f73ca1efd08cefb153ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cf8afe8703026b4306b37892c382183"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_d_o_b___c_l___controller.html#a7cf8afe8703026b4306b37892c382183">filterQPn</a></td></tr>
<tr class="separator:a7cf8afe8703026b4306b37892c382183"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac11e94c64cac31d340757f6b8c2fd6b7"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_d_o_b___c_l___controller.html#ac11e94c64cac31d340757f6b8c2fd6b7">filterQ</a></td></tr>
<tr class="separator:ac11e94c64cac31d340757f6b8c2fd6b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29ad8564c44ba9a04a99ae354124533b"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_d_o_b___c_l___controller.html#a29ad8564c44ba9a04a99ae354124533b">prev_rd</a></td></tr>
<tr class="separator:a29ad8564c44ba9a04a99ae354124533b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace35f181622b55c7825c985234e146fe"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_d_o_b___c_l___controller.html#ace35f181622b55c7825c985234e146fe">prev_d_hat</a></td></tr>
<tr class="separator:ace35f181622b55c7825c985234e146fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Implementation of a DOB CL controller. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a0e930cbf26b3f479ac599c72401b492e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e930cbf26b3f479ac599c72401b492e">&#9670;&nbsp;</a></span>DOB_CL_Controller()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function <a class="el" href="class_d_o_b___c_l___controller.html">DOB_CL_Controller</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Class constructor. </p>
<dl class="section return"><dt>Returns</dt><dd>instance of the <a class="el" href="class_d_o_b___c_l___controller.html" title="Implementation of a DOB CL controller. ">DOB_CL_Controller</a> class. </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a6b96d559a015f326bf258e7090c9e528"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b96d559a015f326bf258e7090c9e528">&#9670;&nbsp;</a></span>process()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">function process </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>tau_s</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>dtau_s</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>theta_m</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>dtheta_m</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>theta_e</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>dtheta_e</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>ref</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inherited</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Manage the control loop frequency and call the child class <a class="el" href="class_d_o_b___c_l___controller.html#a7c3da2b5610c57bfd232689f1a762e0e" title="The control law of the controller. ">process_()</a> to exec the control law. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">t</td><td>Time value for the actual step </td></tr>
    <tr><td class="paramname">tau_s</td><td>Spring torque value for the actual step </td></tr>
    <tr><td class="paramname">dtau_s</td><td>Derivative of the spring torque for the actual step </td></tr>
    <tr><td class="paramname">theta_m</td><td>Motor position for the actual step </td></tr>
    <tr><td class="paramname">dtheta_m</td><td>Derivative of the motor position for the actual step </td></tr>
    <tr><td class="paramname">theta_e</td><td>Environment position for the actual step </td></tr>
    <tr><td class="paramname">dtheta_e</td><td>Derivative of the environment position for the actual step </td></tr>
    <tr><td class="paramname">ref</td><td>Reference value for the actual step</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>U The processed value. </dd></dl>

</div>
</div>
<a id="a7c3da2b5610c57bfd232689f1a762e0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c3da2b5610c57bfd232689f1a762e0e">&#9670;&nbsp;</a></span>process_()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function process_ </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>tau_s</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>dtau_s</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>theta_m</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>dtheta_m</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>theta_e</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>dtheta_e</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>ref</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The control law of the controller. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">t</td><td>Time value for the actual step </td></tr>
    <tr><td class="paramname">tau_s</td><td>Spring torque value for the actual step </td></tr>
    <tr><td class="paramname">dtau_s</td><td>Derivative of the spring torque for the actual step </td></tr>
    <tr><td class="paramname">theta_m</td><td>Motor position for the actual step </td></tr>
    <tr><td class="paramname">dtheta_m</td><td>Derivative of the motor position for the actual step </td></tr>
    <tr><td class="paramname">theta_e</td><td>Environment position for the actual step </td></tr>
    <tr><td class="paramname">dtheta_e</td><td>Derivative of the environment position for the actual step </td></tr>
    <tr><td class="paramname">ref</td><td>Reference value for the actual step</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>U The processed value. </dd></dl>

</div>
</div>
<a id="aa77100b541ba43fcfb22723a677e480d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa77100b541ba43fcfb22723a677e480d">&#9670;&nbsp;</a></span>reset()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function reset </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Reset all the properties. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a00ad5dd7d371d70b727688e066f177ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00ad5dd7d371d70b727688e066f177ef">&#9670;&nbsp;</a></span>a_Q</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property a_Q</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aaa36d8d111764f8ec62bfb0f7b3dbf70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa36d8d111764f8ec62bfb0f7b3dbf70">&#9670;&nbsp;</a></span>a_QPn</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property a_QPn</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6199bed12f23f73ca1efd08cefb153ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6199bed12f23f73ca1efd08cefb153ee">&#9670;&nbsp;</a></span>b_Q</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property b_Q</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab6928c51fe64ae3405d6159a0531650c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6928c51fe64ae3405d6159a0531650c">&#9670;&nbsp;</a></span>b_QPn</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property b_QPn</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0b426d363873b67b372a2849b84fd168"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b426d363873b67b372a2849b84fd168">&#9670;&nbsp;</a></span>control_loop_count</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property control_loop_count</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inherited</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Variable used to manage the control loop frequency. </p>

</div>
</div>
<a id="a9593765ae9066406e2e4a852b31c2779"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9593765ae9066406e2e4a852b31c2779">&#9670;&nbsp;</a></span>control_loop_max</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property control_loop_max</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inherited</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Variable used to manage the control loop frequency. </p>

</div>
</div>
<a id="afaa1f8279f05b2c01704413b91ea23d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afaa1f8279f05b2c01704413b91ea23d8">&#9670;&nbsp;</a></span>debug1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property debug1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inherited</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>General purpose debug signal. </p>

</div>
</div>
<a id="adfc40a1e446bb64c4e9c4f6216641901"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adfc40a1e446bb64c4e9c4f6216641901">&#9670;&nbsp;</a></span>debug2</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property debug2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inherited</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>General purpose debug signal. </p>

</div>
</div>
<a id="a02f4bee6bbeef8bd446032b0c685cb63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02f4bee6bbeef8bd446032b0c685cb63">&#9670;&nbsp;</a></span>debug3</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property debug3</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inherited</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>General purpose debug signal. </p>

</div>
</div>
<a id="acda23b2312e09549afea65e656815787"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acda23b2312e09549afea65e656815787">&#9670;&nbsp;</a></span>FF</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property FF</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Feed forward. </p>

</div>
</div>
<a id="ac11e94c64cac31d340757f6b8c2fd6b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac11e94c64cac31d340757f6b8c2fd6b7">&#9670;&nbsp;</a></span>filterQ</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property filterQ</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7cf8afe8703026b4306b37892c382183"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7cf8afe8703026b4306b37892c382183">&#9670;&nbsp;</a></span>filterQPn</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property filterQPn</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a16962c9a52053291f6e09374dc49af54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16962c9a52053291f6e09374dc49af54">&#9670;&nbsp;</a></span>kd</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property kd</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Derivative gain. </p>

</div>
</div>
<a id="aea16e677b2e2917cb9c325d8a924a519"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea16e677b2e2917cb9c325d8a924a519">&#9670;&nbsp;</a></span>kp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property kp</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Proportional gain. </p>

</div>
</div>
<a id="a73d044705182dce0379a1c211dca6ec6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73d044705182dce0379a1c211dca6ec6">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inherited</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of the controller. </p>

</div>
</div>
<a id="a94399a26b1c3be29e1308dcd3a2f10c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94399a26b1c3be29e1308dcd3a2f10c3">&#9670;&nbsp;</a></span>order_Q</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property order_Q</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a29c82e01184eb3cda224ddf58e4e1278"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29c82e01184eb3cda224ddf58e4e1278">&#9670;&nbsp;</a></span>order_QPn</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property order_QPn</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad32d252f7191c6648af6439823778fb1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad32d252f7191c6648af6439823778fb1">&#9670;&nbsp;</a></span>parameters</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property parameters</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ace35f181622b55c7825c985234e146fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace35f181622b55c7825c985234e146fe">&#9670;&nbsp;</a></span>prev_d_hat</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property prev_d_hat</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a29ad8564c44ba9a04a99ae354124533b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29ad8564c44ba9a04a99ae354124533b">&#9670;&nbsp;</a></span>prev_rd</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property prev_rd</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>Controllers/<a class="el" href="_d_o_b___c_l___controller_8m.html">DOB_CL_Controller.m</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
